import unittest
import util


class UtilTestCase(unittest.TestCase):
    def test_indentString(self):
        unindented = "Hello\nWorld!"
        expected = "\tHello\n\tWorld!"

        actual = util.indentMultilineStr(unindented)

        self.assertEqual(expected, actual)

    def test_indentString2(self):
        unindented = "Hello\nWorld!\n"
        expected = "\tHello\n\tWorld!\n"

        actual = util.indentMultilineStr(unindented)

        self.assertEqual(expected, actual)


if __name__ == '__main__':
    unittest.main()
